<?php

namespace App\Observers;

use App\Events\SmsCreatedEvent;
use App\Sms;

class SmsObserver
{
    /**
     * Handle the sms "created" event.
     *
     * @param  \App\Sms  $sms
     * @return void
     */
    public function created(Sms $sms)
    {
        //
        event(new SmsCreatedEvent($sms->number,$sms->message));
    }

    /**
     * Handle the sms "updated" event.
     *
     * @param  \App\Sms  $sms
     * @return void
     */
    public function updated(Sms $sms)
    {
        //
    }

    /**
     * Handle the sms "deleted" event.
     *
     * @param  \App\Sms  $sms
     * @return void
     */
    public function deleted(Sms $sms)
    {
        //
    }

    /**
     * Handle the sms "restored" event.
     *
     * @param  \App\Sms  $sms
     * @return void
     */
    public function restored(Sms $sms)
    {
        //
    }

    /**
     * Handle the sms "force deleted" event.
     *
     * @param  \App\Sms  $sms
     * @return void
     */
    public function forceDeleted(Sms $sms)
    {
        //
    }
}
